Skip to main content
GET
/
coins
/
{coin_id}
/
twitter
CLI
curl --request GET \
--url 'https://api.coinpaprika.com/v1/coins/btc-bitcoin/twitter'
import requests

url = "https://api.coinpaprika.com/v1/coins/{coin_id}/twitter"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.coinpaprika.com/v1/coins/{coin_id}/twitter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "date": "2018-10-03T11:48:19Z",
    "user_name": "bitcoincoreorg",
    "user_image_link": "<string>",
    "status": "Bitcoin Core 0.17.0 Released https://t.co/ciwCREngon",
    "is_retweet": false,
    "retweet_count": 123,
    "like_count": 123,
    "status_link": "<string>",
    "status_id": "<string>",
    "media_link": "<string>",
    "youtube_link": "<string>"
  }
]
{
"error": "id not found"
}
{
"error": "you have reached maximum request limit"
}

Path Parameters

coin_id
string
required
Example:

"btc-bitcoin"

Response

successful operation

date
string

Publish date of the tweet. RFC3999 (ISO-8601) format

Example:

"2018-10-03T11:48:19Z"

user_name
string

Twitter profile user name

Example:

"bitcoincoreorg"

Twitter profile user image URL

status
string

Tweet content

Example:

"Bitcoin Core 0.17.0 Released https://t.co/ciwCREngon"

is_retweet
boolean

Flag indicating whether it is a retweet of someone else's tweet

Example:

false

retweet_count
integer

Number of retweets of this tweet

like_count
integer

Number of likes of this tweet

Tweet URL

status_id
string

Tweet ID

Link to this tweet media: image, video, etc.

Link to Youtube video shared in this tweet